search
LoginSignup
9

More than 1 year has passed since last update.

posted at

updated at

vue sass-loader エラー:Module build failed: TypeError: this.getResolve is not a function

背景

$ npm install sass-loader --save-dev

をinstallして、$npm run devを実行すると、

下記のエラーが出た。

Module build failed: TypeError: this.getResolve is not a function

原因

sass-loaderのバージョンは最新すぎる

解決策

まず、sass-loaderをuninstallする

$ npm uninstall sass-loader

後、若干古いバージョンをinstallしたら、ok

$ npm install sass-loader@7.3.1 --save-dev

Register as a new user and use Qiita more conveniently

  1. You get articles that match your needs
  2. You can efficiently read back useful information
What you can do with signing up
9